Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-6]: src/etc/etc.sun3 Pull up revision 1.44 (requested by fredet...



details:   https://anonhg.NetBSD.org/src/rev/449d6a6ef476
branches:  netbsd-1-6
changeset: 527975:449d6a6ef476
user:      lukem <lukem%NetBSD.org@localhost>
date:      Tue Jun 18 14:41:28 2002 +0000

description:
Pull up revision 1.44 (requested by fredette in ticket #296):
When making devices for the ramdisk, instead of making character
devices for CD-ROMs, which aren't useful on the ramdisk, make
block devices instead.  This makes it easier to boot a CD-ROM
and install a miniroot from same.

diffstat:

 etc/etc.sun3/MAKEDEV |  13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

diffs (38 lines):

diff -r 2a86b5cfa43f -r 449d6a6ef476 etc/etc.sun3/MAKEDEV
--- a/etc/etc.sun3/MAKEDEV      Tue Jun 18 14:41:19 2002 +0000
+++ b/etc/etc.sun3/MAKEDEV      Tue Jun 18 14:41:28 2002 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#      $NetBSD: MAKEDEV,v 1.43 2002/05/17 16:32:18 lukem Exp $
+#      $NetBSD: MAKEDEV,v 1.43.2.1 2002/06/18 14:41:28 lukem Exp $
 #
 # Copyright (c) 1990 The Regents of the University of California.
 # All rights reserved.
@@ -76,8 +76,9 @@
 eo=
 
 # when we're making devices for the ramdisk, we conserve
-# inodes by not making block devices or devices for 
-# partitions greater than d:
+# inodes by not making block devices for disks, character
+# devices for CD-ROMs, or any device for a partition greater  
+# than d:
 __ramdisk=false
 
 # mk name b/c major minor [mode] [group]
@@ -247,10 +248,12 @@
                set -- $part
                IFS="$tmp" ; unset tmp
                minor=$(($offset + $2))
-               if ! $__ramdisk; then 
+               if ! $__ramdisk || test $name = cd; then 
                        mk  $name$unit$1 b $blk $minor 640 operator
                fi
-               mk r$name$unit$1 c $chr $minor 640 operator
+               if ! $__ramdisk || test $name != cd; then 
+                       mk r$name$unit$1 c $chr $minor 640 operator
+               fi
        )
        done
        ;;



Home | Main Index | Thread Index | Old Index